Name:           python3-jinja2
Version:        2.11.1
Release:        1%{?dist}
Summary:        General purpose template engine
License:        BSD
URL:            http://jinja.pocoo.org/
Source0:        %{pypi_source Jinja2}

BuildArch:      noarch

%description
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.


%package -n python%{python3_pkgversion}-jinja2
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-markupsafe >= 0.23
# babel isn't py3k ready yet, and is only a weak dependency
#Requires:       python%{python3_pkgversion}-babel >= 0.8
Obsoletes:      python%{python3_pkgversion}-jinja2-doc < %{version}-%{release}

%description -n python%{python3_pkgversion}-jinja2
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.


%if 0%{?python3_other_pkgversion}
%package -n python%{python3_other_pkgversion}-jinja2
Summary:        %{summary}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
Requires:       python%{python3_other_pkgversion}-markupsafe >= 0.23
# babel isn't py3k ready yet, and is only a weak dependency
#Requires:       python%{python3_other_pkgversion}-babel >= 0.8


%description -n python%{python3_other_pkgversion}-jinja2
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.
%endif


%prep
%autosetup -n Jinja2-%{version}

%build
%py3_build
%if 0%{?python3_other_pkgversion}
%py3_other_build
%endif


%install
%if 0%{?python3_other_pkgversion}
%py3_other_install
%endif
%py3_install
# This gets installed on EL7+
rm -f %{buildroot}%{python3_sitelib}/jinja2/_debugsupport.c

# these files are valid only on Python 3.6+
rm %{buildroot}%{python3_other_sitelib}/jinja2/asyncsupport.py
rm %{buildroot}%{python3_other_sitelib}/jinja2/asyncfilters.py


%files -n python%{python3_pkgversion}-jinja2
%license LICENSE.rst
%doc CHANGES.rst ext examples
%{python3_sitelib}/jinja2/
%{python3_sitelib}/Jinja2-*.egg-info/

%if 0%{?python3_other_pkgversion}
%files -n python%{python3_other_pkgversion}-jinja2
%license LICENSE.rst
%doc CHANGES.rst ext examples
%{python3_other_sitelib}/jinja2/
%{python3_other_sitelib}/Jinja2-*.egg-info/
%endif


%changelog
* Mon Apr 06 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.11.1-1
- Update to 2.11.1

* Sat Apr 13 2019 Orion Poplawski <orion@nwra.com> - 2.8.1-2
- Backport fix for CVE-2016-10745 (bugz#1698839)

* Sat Apr 13 2019 Orion Poplawski <orion@nwra.com> - 2.8.1-1
- Update to 2.8.1 (CVE-2016-10745 bugz#1698350)

* Thu Apr  4 2019 Orion Poplawski <orion@nwra.com> - 2.8-4
- Build for python3_other

* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 2.8-3
- Rebuilt to change main python from 3.4 to 3.6

* Tue Nov 29 2016 Orion Poplawski <orion@cora.nwra.com> - 2.8-2
- Use github tarball and run tests
- Split documentation in sub-package

* Fri Sep 16 2016 Orion Poplawski <orion@cora.nwra.com> - 2.8-1
- Initial EPEL package
